For the complete documentation index, see llms.txt. This page is also available as Markdown.

Share Links

Endpoints for retrieving the share links of a given user. Share links are organised by engagement medium and share medium. For background on how they work, see the Share Links Overview.

Lookup a user's share URLs

get

Returns a user's share links, organised by engagement medium and share medium. Use the optional engagementMedium and shareMedium query parameters to filter the response.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key. Use this method only in server-to-server interactions.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

accountIdstringRequired

The ID of the account to look up

userIdstringRequired

Filters share links by user.id.

Query parameters
engagementMediumstring · enumOptional

Filters share urls by engagementMedium.

Possible values:
shareMediumstring · enumOptional

Filters share urls by shareMedium.

Possible values:
programIdstringRequired

The ID of the program whose share links to return. Required — the API returns 400 if omitted.

Example: 47255
Responses
200

A list of share urls

application/json

A user's share links, organised by engagement medium and share medium.

get/{tenant_alias}/account/{accountId}/user/{userId}/shareurls
GET /api/v1/{tenant_alias}/account/{accountId}/user/{userId}/shareurls?programId=47255 HTTP/1.1
Host: app.referralsaasquatch.com
Authorization: Basic username:password
Accept: */*
{
  "shareLinks": {
    "cleanShareLink": "https://share.impact.squatchtesting.com/mzbnEyE",
    "EMAIL": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "MOBILE": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "EMBED": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "POPUP": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "HOSTED": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "UNKNOWN": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    }
  }
}

Lookup a user's share URLs (Open Endpoint)

get

Same as Lookup a user's share URLs, but authenticated with a user JWT instead of an API key. Use this from client-side contexts such as the Mobile and Web SDKs.

Authorizations
X-SaaSquatch-User-TokenstringRequired

A JWT for a given user. Used by the Mobile and Web SDKs and other client-side contexts via Open Endpoints.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

accountIdstringRequired

The ID of the account to look up

userIdstringRequired

Filters share links by user.id.

Query parameters
engagementMediumstring · enumOptional

Filters share urls by engagementMedium.

Possible values:
shareMediumstring · enumOptional

Filters share urls by shareMedium.

Possible values:
programIdstringRequired

The ID of the program whose share links to return. Required — the API returns 400 if omitted.

Example: 47255
Responses
200

A list of share urls

application/json

A user's share links, organised by engagement medium and share medium.

get/{tenant_alias}/open/account/{accountId}/user/{userId}/shareurls
GET /api/v1/{tenant_alias}/open/account/{accountId}/user/{userId}/shareurls?programId=47255 HTTP/1.1
Host: app.referralsaasquatch.com
X-SaaSquatch-User-Token: YOUR_API_KEY
Accept: */*
{
  "shareLinks": {
    "cleanShareLink": "https://share.impact.squatchtesting.com/mzbnEyE",
    "EMAIL": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "MOBILE": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "EMBED": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "POPUP": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "HOSTED": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    },
    "UNKNOWN": {
      "EMAIL": "https://share.impact.squatchtesting.com/mobnEyE",
      "FACEBOOK": "https://share.impact.squatchtesting.com/m9bnEyE",
      "PINTEREST": "https://share.impact.squatchtesting.com/RzbnEyE",
      "TWITTER": "https://share.impact.squatchtesting.com/mMbnEyE",
      "DIRECT": "https://share.impact.squatchtesting.com/m5bnEyE",
      "WHATSAPP": "https://share.impact.squatchtesting.com/mFbnEyE",
      "LINEMESSENGER": "https://share.impact.squatchtesting.com/mDbnEyE",
      "SMS": "https://share.impact.squatchtesting.com/mabnEyE",
      "FBMESSENGER": "https://share.impact.squatchtesting.com/mhbnEyE",
      "LINKEDIN": "https://share.impact.squatchtesting.com/m7bnEyE",
      "UNKNOWN": "https://share.impact.squatchtesting.com/mBbnEyE"
    }
  }
}

Last updated